Subject: Re: [PATCH v4] userdiff: better method/property matching for C#

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Mar 2024 12:33:15 -0700

"Steven Jeuris via GitGitGadget" <[email-masked]> writes:

>     As before, I ran into many regex limitations (no possessive quantifiers,
>     no lookahead). It also seems different regex evaluators are used on
>     different test runs. Which one does git diff use? Maybe it is about time
>     to update this? E.g., if speed is a concern, possessive quantifiers can
>     speed up search.

When you make regcomp(3) and regexec(3) calls, you'll be using the
system library that supplies them.  IOW, we use whatever is on the
system.